ScanopyScanopy
Interfaces

Export Interfaces to CSV

Export all Interfaces matching the filter criteria to CSV format. Ignores pagination parameters (limit/offset) and exports all matching records.

GET
/api/v1/interfaces/export/csv
Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

host_id?string|null

Filter by host ID

Formatuuid
subnet_id?string|null

Filter by subnet ID

Formatuuid
network_id?string|null

Filter by network ID

Formatuuid
limit?integer|null

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

Formatint32
Range0 <= value <= 1000
offset?integer|null

Number of results to skip. Default: 0.

Formatint32
Range0 <= value

Response Body

text/csv

curl -X GET "https://loading/api/v1/interfaces/export/csv"
Empty